Package org.drinkless.tdlib

# Class TdApi.CleanFileName

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Text>
org.drinkless.tdlib.TdApi.CleanFileName

Enclosing class:
  TdApi

public static class TdApi.CleanFileName extends TdApi.Function<TdApi.Text>
Removes potentially dangerous characters from the name of a file. The encoding of the file name is supposed to be UTF-8. Returns an empty string on failure. Can be called synchronously.

Returns `Text`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `fileName`
  File name or path to the file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CleanFileName()`
  Default constructor for a function, which removes potentially dangerous characters from the name of a file.
  `CleanFileName(String fileName)`
  Creates a function, which removes potentially dangerous characters from the name of a file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileName

    public String fileName
    File name or path to the file.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CleanFileName

    public CleanFileName()
    Default constructor for a function, which removes potentially dangerous characters from the name of a file. The encoding of the file name is supposed to be UTF-8. Returns an empty string on failure. Can be called synchronously.

    Returns `Text`

  - ### CleanFileName

    public CleanFileName(String fileName)
    Creates a function, which removes potentially dangerous characters from the name of a file. The encoding of the file name is supposed to be UTF-8. Returns an empty string on failure. Can be called synchronously.

    Returns `Text`

    Parameters:
      `fileName` - File name or path to the file.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Text>`
    Returns:
      this.CONSTRUCTOR